#include <stdio.h>

using namespace std;

int main()
{
    long long int n, k, m, izraz;
    int t;
    scanf("%d", &t);
    for(int i=0; i<t; i++)
    {
        scanf("%lld%lld%lld", &n, &k, &m);
        izraz = ( (n/k+1)*( 2*(n%k) + k*(n/k)) ) /2;
        if (m >= izraz)
            printf("tak");
        else printf ("nie");
    }


    return 0;
}